<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <link rel="stylesheet" href="../assets/css/userMonitoring.css">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <link rel = "icon" href = "../assets/image/Manila Bay Thread Icon.png">

  <title>Customer Portal</title>
</head>
<body>
  <div class="header">
      <div>
          <img class="menu" src="../assets/image/Manila Bay Threads Logo.png">
      </div>

      <div>
          <h2>User Maintenance</h2>
      </div>   

      <div class="userMenu">
          <span style="margin-right: 5px;">Welcome </span>
          <span id="userLoggedIn"></span>
          <img  style="margin-right: 5px;" src="../assets/image/icons8-user-64.png" class="userIcon" type="image">
          <a style="margin-right: 5px;" href="#" id="logoutButton">Log Out</a>
      </div>
  </div>

  <form id="salesOrderMonitoringForm">
    <div class="formContainer">

    <div class="formContainer mt-3 pb-2 pt-1" id="PurchaseRequestMonitoringForm">
        <div id="buttonContainer"></div>
    </div>

  <div class="mt-2">    
    <table class="tHeader">
      <thead>
        <tr class="text-center">
          <th style="width: 7rem"><input type="checkbox" id="flexCheckDefault"  onclick="toggle(this);">Select All</th>
          <th style="width: 12rem">Employee ID</th>
          <th style="width: 12rem">Employee Name</th>
          <th style="width: 12rem">Position</th>
          <th style="width: 12rem">Username</th>
          <th style="width: 7rem">Active</th>
        </tr>
      </thead>
      <table id="salesQuoteTable" style="border: black 1px solid;"></table>
    </table>       
  </div>

</div>
</form>

  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Please select an Action for <span id="empName"></span>:</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body mx-auto">
                <button type="button" id="enableButton" class="btn btn-primary">Enable</button>
                <button type="button" id="disableButton" class="btn btn-primary">Disable</button>
            </div>
        </div>
    </div>
</div>
    
  <footer class="footer">
    <a  href="https://www.service101plus.com/"> <img id="imgsaplogo" src="../assets/image/Service101Plus Icon.png" style="height: 25px;">Copyright © 2021 All Rights Reserved | Service 101 plus Consulting Inc.</a>
  </footer>
  
  <script src="../assets/js/userMonitoring.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>       
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>          
</body>
</html>
